
Foreman - Feature #2079

Additional column in listing of hosts page

12/31/2012 05:39 AM - Kristian Botnen

Status: Closed   

Priority: Normal   

Assignee: Kristian Botnen   

Category: Web Interface   

Target version:    

Difficulty: trivial Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Extending the 'hosts' listview with additional column 'IP-Adress'.

The number of column in the listview will go from 8 to 9.

This column should be configurable in the "next version", but as a starter the column / value will be static, and it will show the

IP-adress of the host.

The IP-adress should be available for all hosttypes.

The column should be sortable.

See attached screenshot for graphical explanation :)

Related to: http://theforeman.org/issues/32

History

#1 - 12/31/2012 05:41 AM - Kristian Botnen

I didnt meant to assign this one to Ohad Levy, but the automagic in Redmine did it.

I will probably submit the code for this issue in a week or two.

#2 - 12/31/2012 06:30 AM - Ohad Levy

- Assignee changed from Ohad Levy to Kristian Botnen

#3 - 10/01/2013 01:51 PM - Hannes Schaller

- Status changed from New to Closed

- % Done changed from 0 to 100

I think this has been solved by the foreman_column_view plugin ( https://github.com/GregSutcliffe/foreman_column_view ).
